summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2018-01-03 19:36:55 +0100
committerDavid Seifert <soap@gentoo.org>2018-01-03 19:36:55 +0100
commit6355bebad0d2f94f1afc9c252014247c82b0a1eb (patch)
tree09e36df32782d15626a306b53e0905bac7a37366 /x11-plugins/pidgin-bot-sentry
parentapp-misc/ondir: merge stable keywords (EAPI bump, no major changes) (diff)
downloadgentoo-6355bebad0d2f94f1afc9c252014247c82b0a1eb.tar.gz
gentoo-6355bebad0d2f94f1afc9c252014247c82b0a1eb.tar.bz2
gentoo-6355bebad0d2f94f1afc9c252014247c82b0a1eb.zip
x11-plugins/pidgin-bot-sentry: Port to EAPI 6
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'x11-plugins/pidgin-bot-sentry')
-rw-r--r--x11-plugins/pidgin-bot-sentry/pidgin-bot-sentry-1.3.0.ebuild12
1 files changed, 5 insertions, 7 deletions
diff --git a/x11-plugins/pidgin-bot-sentry/pidgin-bot-sentry-1.3.0.ebuild b/x11-plugins/pidgin-bot-sentry/pidgin-bot-sentry-1.3.0.ebuild
index 848cafaec1f..576645b15f0 100644
--- a/x11-plugins/pidgin-bot-sentry/pidgin-bot-sentry-1.3.0.ebuild
+++ b/x11-plugins/pidgin-bot-sentry/pidgin-bot-sentry-1.3.0.ebuild
@@ -1,11 +1,10 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="3"
-
-inherit eutils multilib
+EAPI=6
MY_P="${P#pidgin-}"
+
DESCRIPTION="Bot Sentry is a Pidgin plugin to prevent Instant Message (IM) spam"
HOMEPAGE="http://pidgin-bs.sourceforge.net/"
SRC_URI="mirror://sourceforge/pidgin-bs/${MY_P}.tar.bz2"
@@ -17,7 +16,6 @@ IUSE=""
RDEPEND="net-im/pidgin[gtk]
x11-libs/gtk+:2"
-
DEPEND="${RDEPEND}
>=dev-util/intltool-0.40
virtual/pkgconfig"
@@ -25,6 +23,6 @@ DEPEND="${RDEPEND}
S="${WORKDIR}/${MY_P}"
src_install() {
- emake install DESTDIR="${D}" || die "make install failed"
- dodoc AUTHORS ChangeLog NEWS README
+ default
+ find "${D}" -name '*.la' -delete || die
}